#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sysvinit
Version		:	3.06
Release		:	14.8.0.0%{?dist}
Summary		:	Programs which control basic system processes
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://savannah.nongnu.org/projects/sysvinit
			#https://github.com/slicer69/sysvinit

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
Requires	:	coreutils

#-----------------------------------------------------------------------------
%description
The sysvinit package contains a group of processes that control
the very basic functions of your system. sysvinit includes the init
program, the first program started by the Linux kernel when the
system boots. Init then controls the startup, running, and shutdown
of all other programs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,0755)
%doc COPYRIGHT README
%attr(0750,root,root) %{_sysconfdir}/rc.d/rc.sysinit
%attr(0750,root,root) %{_sysconfdir}/rc.d/init.d/rc.local
%{_sysconfdir}/rc.d/rc{2,3,4,5}.d/S99rc.local
%dir %{_sysconfdir}/inittab.d
%config (noreplace) %{_sysconfdir}/inittab
%config (noreplace) %attr(0744,root,root) %{_sysconfdir}/rc.local
%{_includedir}/initreq.h
/bin/pidof
/sbin/bootlogd
/sbin/fstab-decode
/sbin/halt
/sbin/init
/sbin/killall5
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/telinit
%{_bindir}/readbootlog

%{_mandir}/man1/readbootlog.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#within util-linux
%exclude /sbin/sulogin
%exclude /sbin/logsave
%exclude %{_bindir}/last
%exclude %{_bindir}/lastb
%exclude %{_bindir}/mesg
%exclude %{_bindir}/utmpdump
%exclude %{_bindir}/wall
%exclude %{_mandir}/man1/last*.1.gz
%exclude %{_mandir}/man1/mesg.1.gz
%exclude %{_mandir}/man1/utmpdump.1.gz
%exclude %{_mandir}/man1/wall.1.gz
%exclude %{_mandir}/man8/logsave.8.gz
%exclude %{_mandir}/man8/sulogin.8.gz

#-----------------------------------------------------------------------------
%postun
if [ $1 = 0 ]; then
  %{__rm} -fr %{_var}/run/utmp
  fi
/usr/sbin/ldconfig

%post
if [ "$1" = 1 ]; then
  %{__mkdir_p} %{_var}/run
  touch %{_var}/run/utmp
  chmod 0750 %{_var}/run/utmp
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%{__tar} xf %{SOURCE1}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	ROOT=%{buildroot}				\
	-C src						\
	install

%{__mkdir_p} %{buildroot}/dev
mknod -m 600 %{buildroot}/dev/initctl p

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d

#creating inittab structur
%{__mkdir_p}	%{buildroot}%{_sysconfdir}/inittab.d
%{__cp} 						\
	%{name}-ok_addon/sysvinit-inittab		\
	%{buildroot}%{_sysconfdir}/inittab

%{__cp} 						\
	%{name}-ok_addon/sysvinit-rc.sysinit		\
	%{buildroot}%{_sysconfdir}/rc.d/rc.sysinit

%{__cp} 						\
	%{name}-ok_addon/sysvinit-rc.local		\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/rc.local

%{__cp} 						\
	%{name}-ok_addon/etc-rc.local			\
	%{buildroot}%{_sysconfdir}/rc.local

(
cd %{buildroot}%{_sysconfdir}/rc.d/init.d
for num in 2 3 4 5
  do
  %{__mkdir_p} ../rc$num.d
  %{__ln_s} ../init.d/rc.local ../rc$num.d/S99rc.local
  done
)

#-----------------------------------------------------------------------------
%changelog
